package com.heyu.api.data.dao.vv;
/**
* <p>
* 结算 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-10
*/
import com.heyu.api.data.entity.vv.VvMyAccountEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.LIMIT;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface VvMyAccountDao extends BaseMapper<VvMyAccountEntity> {


	VvMyAccountEntity selectVvMyAccountById(@Param("id")Long id);


	Long insertVvMyAccount(VvMyAccountEntity vvMyAccount);


	Long insertOrUpdateVvMyAccount(VvMyAccountEntity vvMyAccount);


	int updateVvMyAccountById(VvMyAccountEntity vvMyAccount);


	int updateCoverVvMyAccountById(VvMyAccountEntity vvMyAccount);


	int deleteVvMyAccountById(@Param("id")Long id);


    @LIMIT
    VvMyAccountEntity selectVvMyAccount(String type);
}